"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasPermissions = exports.ClientType = void 0;
const auth_1 = require("./auth");
Object.defineProperty(exports, "hasPermissions", { enumerable: true, get: function () { return auth_1.hasPermissions; } });
const common_1 = require("./common");
Object.defineProperty(exports, "ClientType", { enumerable: true, get: function () { return common_1.ClientType; } });
const system_1 = __importStar(require("./system"));
__exportStar(require("./common"), exports);
__exportStar(require("./api"), exports);
__exportStar(require("./multitool"), exports);
__exportStar(require("./auth"), exports);
__exportStar(require("./module"), exports);
__exportStar(require("./module/Types"), exports);
function bflib(settings) {
    return __awaiter(this, void 0, void 0, function* () {
        yield system_1.default.init(settings);
        return Object.freeze({
            get api() {
                return system_1.default.getLibModule(system_1.LibModule.API);
            },
            get auth() {
                return system_1.default.getLibModule(system_1.LibModule.AUTH);
            },
            get module() {
                return system_1.default.getLibModule(system_1.LibModule.MODULE);
            },
            get multitool() {
                return system_1.default.getLibModule(system_1.LibModule.MULTITOOL);
            },
            protected(impersonate) {
                return __awaiter(this, void 0, void 0, function* () {
                    return bflib(Object.assign(Object.assign({}, settings), { impersonate, protected: true }));
                });
            },
        });
    });
}
exports.default = bflib;
